complexType "CreditDefaultSwapOption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 23 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, premium?, exercise?, exerciseProcedure?, feature?, (notionalReference? | notionalAmount?)?, (optionEntitlement?, entitlementCurrency?, numberOfOptions?)?, settlementType?, settlementDate?, (settlementAmount? | settlementCurrency?)?, strike?, creditDefaultSwap?
</...>

Content Model Elements (23):

  assetClass (defined in Product.model group),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  creditDefaultSwap (in creditDefaultSwapOption),
  entitlementCurrency,
  exercise,
  exerciseProcedure (defined in OptionBaseExtended complexType),
  feature (defined in OptionBaseExtended complexType),
  notionalAmount (defined in OptionBaseExtended complexType),
  notionalReference (defined in OptionBaseExtended complexType),
  numberOfOptions (defined in OptionDenomination.model group),
  optionEntitlement (defined in OptionDenomination.model group),
  optionType (defined in OptionBase complexType),
  premium (defined in OptionBaseExtended complexType),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group),
  strike (in creditDefaultSwapOption)

All Direct / Indirect Based Elements (1):

  creditDefaultSwapOption

Known Usage Locations

- As direct type of elements (1):
  creditDefaultSwapOption

Annotation
A complex type to support the credit default swap option.
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase (extension) OptionBaseExtended (extension) CreditDefaultSwapOption

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CreditDefaultSwapOption"> <xsd:complexContent> <xsd:extension base="OptionBaseExtended"> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="CreditOptionStrike"/> <xsd:element minOccurs="0" name="creditDefaultSwap" type="CreditDefaultSwap"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/23)
creditDefaultSwap

  Type: | CreditDefaultSwap, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditDefaultSwap" type="CreditDefaultSwap"/>

strike

  Type: | CreditOptionStrike, complex content

  Specifies the strike of the option on credit default swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strike" type="CreditOptionStrike"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.